c-----------------------------------------------------------------------
c     To initialize the mass aspect, call the mass update function 
c     (see updates.f to determine call sequence), but switch the ordering 
c     of the grid function time levels.  The switch is necessary since 
c     for initialization we want the routine to compute 'mass_n' in terms 
c     of 'pp_n' and 'pi_n', whereas during normal evolution the routine 
c     computes the "advanced" values 'mass_np1" in terms of 'pp_np1' and 
c     'pi_np1'.
c-----------------------------------------------------------------------
      call update_mass(pp_n,pp_np1,pi_n,pi_np1,mass_n,mass_np1,
     &                 g1_Nx,x,dx)
